# Bundled line items

To ensure that items aren't split into different pick jobs or routed to different facilities, items can be bundled. An item bundle is created by adding multiple items to a custom service and setting the order's `isBundled` flag to true. The line items to be bundled must be included in the `orderLineItems` array within the order.

```json
"customServices": [
  {
    "customServiceDefinition": {
      "isBundled": true
    },
    "articleItems": [
      {
        "tenantArticleRef": "32168",
        "quantity": 1
      }, {
        "tenantArticleRef": "31851",
        "quantity": 1
      }
    ],
    "customServiceItems": []
  }
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fulfillmenttools.com/documentation/by-pillar/store-operations/services/bundled-line-items.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
